package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("CH_DISABLE_INFO")
public class ChDisableInfo extends PageInfo implements Serializable {
    //失能人员id
    private Integer disabInfoId;
    //机构代码
    private String  organId;
    //所在省份
    private String  districtProvincial;
    //所在城市
    private String  districtCity;
    //所在区域
    private String  districtArea;
    //姓名
    private String  realName;
    //身份证号
    private String  certiCode;
    //出生年月
    private Date    birthday;
    //性别   男：M；女：F；不确定 N
    private String  gender;
    //电话
    private String  tel;
    //住址区域
    private String  addressDistrictCode;
    //住址详情
    private String  addressDetail;
    //户籍   本市：0；非本市：1
    private Integer regist;
    //疾病
    private String  disease;
    //服务方案配置ID
    private Integer srvModeId;
    //疾病描述
    private String  diseaseDesc;
    //医保类别     城镇：1；非城镇：0
    private Integer medicalType;
    //社保卡号
    private String  medicalCard;
    //意向护理机构
    private Integer srvOrganIntent;
    //代办人姓名
    private String  operName;
    //代办人身份证
    private String  operCertiCode;
    //代办人电话
    private String  operTel;
    //与失能人员关系   子女:0;父母:1配偶:2其他:3
    private Integer operRelation;
//    // 代办人住址区域
//    private String  OPER_DISTRICT_CODE;
//    // 代办人住址详情
//    private String  OPER_ADDRESS;
//    // 鉴定评估id
//    private Integer APR_CONF_Y;
    // 申请状态   未提交:0;待审核:1;审核通过:2；不通过：3
    private Integer applyStatus;
//    //审核人姓名
//    private String  CHECK_NAME;
//    //审核备注
//    private String  CHECK_REMARK;
//    //审核时间
//    private Date    CHECK_TIME;
//    //原因
//    private String  REASON;
//    //  创建人
//    private Integer DEFINE_EMG;
//    //创建时间
//    private Date    EFF_TIME;
//    //终止人
//    private Integer END_EMG;
//    // 终止时间
//    private Date    END_TIME;
//    //首次操作时间
//    private Date    FCD;
//    //首次操作人
//    private Integer FCU;
//    //末次操作时间
//    private Date    LCD;
//    //末次操作人
//    private Integer LCU;
//    //申请机构
//    private Integer aplorganid;
//    //现住地址省份
//    private String  ADRESS_DISTRICT_PROVINCIAL;
//    //现在地址城市
//    private String  ADRESS_DISTRICT_CITY;
//    //代办人住址省份
//    private String  OPER_DISTRICT_PROVINCIAL;
//    //代办人住址城市
//    private String  OPER_DISTRICT_CITY;
//    //最新鉴定ID
//    private Integer LAST_TASK_ID;
//    //街道
//    //private String  STREET;
//    //
//    private String  APR_TOTAL_SCORE;
//    // 失能申请id
//    private Integer APPLY_ID;
//    // 服务配置id
//    private Integer CFG_MODE_ID;
//    //接受评定省
//    private String  ACPT_PROVINCIAL;
//    //接受评定市
//    private String  ACPT_CITY;
//    //接受评定区
//    private String  ACPT_AREA;
//    //接受评定街道
//    private String  ACPT_STREET;
//    //接受评定详细地址
//    private String  ACPT_ADDRESS;
//    //接受评定类型 现在址：0,机构地址：1,其他：2
//    private Integer ACPT_TYPE;
//    //疾病大类
//    private Integer DISE_TYPE_F;
//    //疾病小类
//    private Integer DISE_TYPE_S;
//    //现住址经度
//    private String  ADDRESS_LONGITUDE;
//    //现住址纬度
//    private String  ADDRESS_LATITUDE;
//    //接受评定地址经度
//    private String  ACPT_LONGITUDE;
//    //接受评定地址纬度
//    private String  ACPT_LATITUDE;
//    //代办人街道
//    private String  OPER_STREET;
//    //代办人地址经度
//    private String  AGENT_LONGITUDE;
//    // 代办人地址纬度
//    private String  AGENT_LATITUDE;
//    //现住地址路街
//    private String  ADDRESS_ROAD_DETAIL;
//    // 现住地址路/街（0路，1街，2村）
//    private Integer ADDRESS_ROAD_TYPE;
//    //现住地址号弄
//    private String  ADDRESS_NUMBER_DETAIL;
//    //现住地址号/弄（0弄，1号）
//    private Integer ADDRESS_NUMBER_TYPE;
//    //接受评定地址路街
//    private String  ACPT_ROAD_DETAIL;
//    //接受评定地址路/街（0路，1街，2村）
//    private Integer ACPT_ROAD_TYPE;
//    //接受评定地址号弄
//    private String  ACPT_NUMBER_DETAIL;
//    //接受评定地址号/弄（0弄，1号）
//    private Integer ACPT_NUMBER_TYPE;
//    //代办人现住止路街
//    private String  OPER_ROAD_DETAIL;
//    //代办人现住止路/街（0路，1街，2村）
//    private Integer OPER_ROAD_TYPE;
//    //代办人现住止号弄
//    private String  OPER_NUMBER_DETAIL;
//    //代办人现住止号/弄（0弄，1号）
//    private Integer OPER_NUMBER_TYPE;
//    //接受服务地址省
//    private String  ACPT_SRV_PROVINCIAL;
//    //接受服务地址市
//    private String  ACPT_SRV_CITY;
//    //接受服务地址区
//    private String  ACPT_SRV_AREA;
//    //接受服务地址街道
//    private String  ACPT_SRV_STREET;
//    //接受服务地址路街
//    private String  ACPT_SRV_ROAD_DETAIL;
//    //接受服务地址路/街（0路，1街，2村）
//    private Integer ACPT_SRV_ROAD_TYPE;
//    //接受服务地址号弄
//    private String  ACPT_SRV_NUMBER_DETAIL;
//    //接受服务地址号/弄（0弄，1号）
//    private Integer ACPT_SRV_NUMBER_TYPE;
//    //接受服务地址详细地址
//    private String  ACPT_SRV_ADDRESS;
//    //接受服务地址类型(现在址：0,护理机构地址：1,其他：2,接受评定地址：3)
//    private Integer ACPT_SRV_TYPE;
//    //接受服务地址经度
//    private String  ACPT_SRV_LONGITUDE;
//    //接受服务地址纬度
//    private String  ACPT_SRV_LATITUDE;
//    //数据来源（申请：0，信息变更：1）
//    private Integer DATA_FROM;
//    //失能人员固话
//    private String  FIXED_TEL;
//    //代办人固话
//    private String  OPER_FIXED_TEL;
//    //所在户籍地址省
//    private String  REGIST_PROVINCIAL;
//    //所在户籍地址市
//    private String  REGIST_CITY;
//    //所在户籍地址区
//    private String  REGIST_AREA;
//    //所在户籍地址街道
//    private String  REGIST_STREET;
//    //所在户籍地址详细地址
//    private String  REGIST_ADDRESS;
//    //所在户籍地址经度
//    private String  REGIST_LONGITUDE;
//    //所在户籍地址纬度
//    private String  REGIST_LATITUDE;
//    //1病史简述1   . 曾患的重大疾病、外伤史、传染病史
//    private String  MEDICAL_HISTORY1;
//    //病史简述2   2. 现有的疾病和病症
//    private String  MEDICAL_HISTORY2;
//    //病史简述3   3. 目前正在治疗的疾病和病症
//    private String  MEDICAL_HISTORY3;
//    //身高
//    //private Integer HEIGHT;
//    //体重
//    //private Integer WEIGHT;
//    //左手握力
//    private Integer LEFT_HAND_GRIP;
//    //右手握力
//    private Integer RIGHT_HAND_GRIP;
//    //肢体残缺  0有，1无
//    private Integer BODY_INCOMPLETE;
//    //视力障碍   0有，1无
//    private Integer VISION_OBSTACLE;
//    //听力障碍   0有，1无
//    private Integer HEARING_OBSTACLE;
//    //病史简述
//    private String  MEDICAL_HISTORY;
//    //医师姓名
//    private String  DOCTOR_NAME;
//    //医师证件号码
//    private String  DOCTOR_NUMBER;
//    //是否跨区，0不跨区，1跨区
//    private Integer CROSS_DISTRICT;
//    //现住址类型(0：接受评定地址；1：接受服务地址；2：其他)
//    private Integer ADDRESS_TYPE;
//    //待遇类型（1失能、0失智）
//    private Integer TREATMENT_TYPE;















































}
